# std::priority_queue<T,Container,Compare>::push

From cppreference.com
< cpp‎ | container‎ | priority queue

void push( const value_type& value ); |  |
void push( value_type&& value ); |  | (since C++11)

Pushes the given element `value` to the priority queue.

1) Effectively calls c.push_back(value); std::push_heap(c.begin(), c.end(), comp);
2) Effectively calls c.push_back(std::move(value)); std::push_heap(c.begin(), c.end(), comp);

### Parameters

value | - | the value of the element to push

### Return value

(none)

### Complexity

Logarithmic number of comparisons plus the complexity of Container::push_back.

### See also

emplace (C++11) | constructs element in-place and sorts the underlying container (public member function)
pop | removes the top element (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/priority_queue/push&oldid=50627"